import "../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import { getUUID } from "../../../../../utils/utils.mjs";
import "../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.mjs";
import "../../../../../enums/pageEnum.mjs";
import "../../../../../router/index.mjs";
import { alpha } from "../../../../../utils/style.mjs";
import "../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.mjs";
import "../../../../../components/GoSkeleton/index.vue.mjs";
import "../../../../../components/GoLoading/index.mjs";
import "../../../../../settings/designSetting.mjs";
import { defineComponent, openBlock, createElementBlock, createElementVNode as createBaseVNode, createCommentVNode, pushScopeId, popScopeId } from "../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { toRefs, unref } from "../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
const _withScopeId = (n) => (pushScopeId("data-v-b07bae32"), n = n(), popScopeId(), n);
const _hoisted_1 = { class: "go-border-box" };
const _hoisted_2 = ["width", "height"];
const _hoisted_3 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createBaseVNode("feMorphology", {
  operator: "dilate",
  radius: "1",
  in: "SourceAlpha",
  result: "thicken"
}, null, -1));
const _hoisted_4 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createBaseVNode("feGaussianBlur", {
  in: "thicken",
  stdDeviation: "2",
  result: "blurred"
}, null, -1));
const _hoisted_5 = ["flood-color"];
const _hoisted_6 = ["values"];
const _hoisted_7 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createBaseVNode("feComposite", {
  in: "glowColor",
  in2: "blurred",
  operator: "in",
  result: "softGlowColored"
}, null, -1));
const _hoisted_8 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createBaseVNode("feMerge", null, [
  /* @__PURE__ */ createBaseVNode("feMergeNode", { in: "softGlowColored" }),
  /* @__PURE__ */ createBaseVNode("feMergeNode", { in: "SourceGraphic" })
], -1));
const _hoisted_9 = ["fill", "stroke", "d"];
const _hoisted_10 = ["filter", "stroke"];
const _hoisted_11 = ["filter", "stroke", "d"];
const _hoisted_12 = ["filter", "stroke", "d"];
const _hoisted_13 = ["filter", "stroke", "d"];
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const filterId = `border-box-03-filterId-${getUUID()}`;
    const { w, h } = toRefs(props.chartConfig.attr);
    const { colors, backgroundColor } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        (openBlock(), createElementBlock("svg", {
          width: unref(w),
          height: unref(h)
        }, [
          createBaseVNode("defs", null, [
            createBaseVNode("filter", {
              id: filterId,
              height: "150%",
              width: "150%",
              x: "-25%",
              y: "-25%"
            }, [
              _hoisted_3,
              _hoisted_4,
              createBaseVNode("feFlood", {
                "flood-color": unref(alpha)(unref(colors)[1], 0.7),
                result: "glowColor"
              }, [
                createBaseVNode("animate", {
                  attributeName: "flood-color",
                  values: `
                ${unref(alpha)(unref(colors)[1], 0.7)};
                ${unref(alpha)(unref(colors)[1], 0.3)};
                ${unref(alpha)(unref(colors)[1], 0.7)};
              `,
                  dur: "3s",
                  begin: "0s",
                  repeatCount: "indefinite"
                }, null, 8, _hoisted_6)
              ], 8, _hoisted_5),
              _hoisted_7,
              _hoisted_8
            ])
          ]),
          unref(w) && unref(h) ? (openBlock(), createElementBlock("path", {
            key: 0,
            fill: unref(backgroundColor),
            "stroke-width": "2",
            stroke: unref(colors)[0],
            d: `
          M15 5 L ${unref(w) - 15} 5 Q ${unref(w) - 5} 5, ${unref(w) - 5} 15
          L ${unref(w) - 5} ${unref(h) - 15} Q ${unref(w) - 5} ${unref(h) - 5}, ${unref(w) - 15} ${unref(h) - 5}
          L 15, ${unref(h) - 5} Q 5 ${unref(h) - 5} 5 ${unref(h) - 15} L 5 15
          Q 5 5 15 5
        `
          }, null, 8, _hoisted_9)) : createCommentVNode("", true),
          createBaseVNode("path", {
            "stroke-width": "2",
            fill: "transparent",
            "stroke-linecap": "round",
            filter: `url(#${filterId})`,
            stroke: unref(colors)[1],
            d: `M 20 5 L 15 5 Q 5 5 5 15 L 5 20`
          }, null, 8, _hoisted_10),
          createBaseVNode("path", {
            "stroke-width": "2",
            fill: "transparent",
            "stroke-linecap": "round",
            filter: `url(#${filterId})`,
            stroke: unref(colors)[1],
            d: `M ${unref(w) - 20} 5 L ${unref(w) - 15} 5 Q ${unref(w) - 5} 5 ${unref(w) - 5} 15 L ${unref(w) - 5} 20`
          }, null, 8, _hoisted_11),
          createBaseVNode("path", {
            "stroke-width": "2",
            fill: "transparent",
            "stroke-linecap": "round",
            filter: `url(#${filterId})`,
            stroke: unref(colors)[1],
            d: `
          M ${unref(w) - 20} ${unref(h) - 5} L ${unref(w) - 15} ${unref(h) - 5}
          Q ${unref(w) - 5} ${unref(h) - 5} ${unref(w) - 5} ${unref(h) - 15}
          L ${unref(w) - 5} ${unref(h) - 20}
        `
          }, null, 8, _hoisted_12),
          createBaseVNode("path", {
            "stroke-width": "2",
            fill: "transparent",
            "stroke-linecap": "round",
            filter: `url(#${filterId})`,
            stroke: unref(colors)[1],
            d: `
          M 20 ${unref(h) - 5} L 15 ${unref(h) - 5}
          Q 5 ${unref(h) - 5} 5 ${unref(h) - 15}
          L 5 ${unref(h) - 20}
        `
          }, null, 8, _hoisted_13)
        ], 8, _hoisted_2))
      ]);
    };
  }
});
export {
  _sfc_main as default
};
